Bug 204715 - System freeze while using dvico usb hdtv tuner
System freeze while using dvico usb hdtv tuner
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://www.nop.org/inkling
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 22:00 EDT by Joseph Shraibman
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output from lsusb -v (26.51 KB, text/plain)
2006-08-30 22:00 EDT, Joseph Shraibman
no flags Details
complete /var/log/messages up until the incident (272.22 KB, text/plain)
2006-08-30 22:12 EDT, Joseph Shraibman
no flags Details

  None (edit)
Description Joseph Shraibman 2006-08-30 22:00:34 EDT
Description of problem:
This has happened to me twice.

My setup is like this:
ps/2 keyboard
usb hub, with plugged in mouse and hdtv tuner.

I've been testing atscap 1.1-rc3-20060828.  I walked away from my computer while
atscap has been recording something.  When I come back I've discovered that my
screen has turned itself off.  I move the mouse, and the light on the usb hub
goes out, the light on the bottom of the mouse goes out, and atscap stops
reading info from the tuner (but the light on the tuner stays on).  I can't get
my x screen to come back even by using the keyboard.

If I ssh in from another box and run lsusb, it hangs, and can't be killed even
by -9.  If I type 'reboot' and come back to my computer I see the desktop
wallpaper, but the computer won't shut down and the keyboard and mouse are still
unresponsive.

Version-Release number of selected component (if applicable):
 2.6.17-1.2174_FC5 (64 bit)

How reproducible:
twice in two days now

Steps to Reproduce:
1. Start capturing hdtv using a DviCo Fusion 5 usb hdtv receptor
2. Walk away to let the screen saver turn off the screen
3. move mouse
  
Actual results:
System freeze

Expected results:
normal operation

Additional info:
May be related to bug 203503.  This was the same system, just with an updated
kernel.  In my /var/log/messages at the time:
Aug 30 21:31:37 jks-desktop kernel: usb 1-3: USB disconnect, address 2
Aug 30 21:31:37 jks-desktop kernel: usb 1-3.2: USB disconnect, address 5

Output from lsusb:
Bus 005 Device 001: ID 0000:0000  
Bus 002 Device 001: ID 0000:0000  
Bus 004 Device 001: ID 0000:0000  
Bus 003 Device 001: ID 0000:0000  
Bus 001 Device 003: ID 0fe9:d501 DVICO 
Bus 001 Device 004: ID 046d:c03f Logitech, Inc. 
Bus 001 Device 002: ID 05e3:0605 Genesys Logic, Inc. USB 2.0 Hub [ednet]
Bus 001 Device 001: ID 0000:0000
Comment 1 Joseph Shraibman 2006-08-30 22:00:35 EDT
Created attachment 135254 [details]
output from lsusb -v
Comment 2 Joseph Shraibman 2006-08-30 22:12:25 EDT
Created attachment 135256 [details]
complete /var/log/messages up until the incident
Comment 3 David Lawrence 2006-09-05 11:31:18 EDT
Reassigning to correct owner, kernel-maint.
Comment 4 Joseph Shraibman 2006-09-05 12:17:02 EDT
I've tested twice and this bug does not happen when the hdtv tuner is plugged
directly into the computer instead of going through the hub.

I think maybe the reason the computer had trouble shutting down was that the
file systems could not be unmounted because the programs accessing the usb
devices would not die.
Comment 5 Dave Jones 2006-10-16 17:06:17 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Joseph Shraibman 2006-10-22 02:00:17 EDT
It happened again, this time even with the dvico plugged directly into the
motherboard.

[jks@jks-desktop ~]$ uname -a
Linux jks-desktop 2.6.18-1.2200.fc5 #1 SMP Sat Oct 14 16:59:56 EDT 2006 x86_64
x86_64 x86_64 GNU/Linux

I've been booting with the noacpi option lately.  I don't know if that has
anything to do with why this bug is back.

BTW what status should I change a bug to after it is NEEDINFO and I provide the
info?
Comment 7 Joseph Shraibman 2006-10-23 22:02:32 EDT
This happened again today, this time when I was using my desktop as normal.  KDE
would not accept input from the keyboard (ps2) or mouse (usb).  The clock
continued to tick away and I was able to turn the num lock on and off, but
nothing else happened.  This is the only thing that appeared in my
/var/log/messages:

Oct 23 21:24:34 jks-desktop kernel: usb 1-1: USB disconnect, address 5

earlier:

Oct 23 12:33:29 jks-desktop kernel: usb 1-1: new high speed USB device using
ehci_hcd and address
5
Oct 23 12:33:29 jks-desktop kernel: usb 1-1: configuration #1 chosen from 1 choice
Oct 23 12:33:29 jks-desktop kernel: dvb-usb: found a 'DViCO FusionHDTV5 USB
Gold' in warm state.
Oct 23 12:33:29 jks-desktop kernel: dvb-usb: will pass the complete MPEG2
transport stream to the
software demuxer.
Oct 23 12:33:29 jks-desktop kernel: DVB: registering new adapter (DViCO
FusionHDTV5 USB Gold).
Oct 23 12:33:29 jks-desktop kernel: DVB: registering frontend 0 (LG Electronics
LGDT3303 VSB/QAM F
rontend)...
Oct 23 12:33:29 jks-desktop kernel: input: IR-receiver inside an USB DVB
receiver as /class/input/
input3
Oct 23 12:33:29 jks-desktop kernel: dvb-usb: schedule remote query interval to
100 msecs.
Oct 23 12:33:29 jks-desktop kernel: dvb-usb: DViCO FusionHDTV5 USB Gold
successfully initialized a
nd connected.

After the freeze I ssh'd in and did a telinit 3, but even after X was gone the
keyboard was still useless.  So there seems to be two bugs here.

1) Using the dvico somehow brings down my usb.
2) When the usb goes down all input is screwed up, even ps2 keyboards.

Can someone tell me if there is someway to reset my usb w/o rebooting my computer?
Comment 8 Joseph Shraibman 2006-10-25 20:23:31 EDT
It happened again today.  I don't have my mouse plugged into the hub anymore. It
is plugged in to the ps/2 mouse port, which is why I can type this w/o rebooting
my system.  The dvico brought down my usb all by itself.  The light on my usb
hub (that has nothing plugged into it at the moment) went out and atscap has
stoped receiving data.   In dmesg there is a lot of:

dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (5/0)
dvb-usb: bulk message failed: -22 (7/-32512)
dvb-usb: bulk message failed: -22 (5/-32512)
dvb-usb: bulk message failed: -22 (5/0)
dvb-usb: bulk message failed: -22 (5/0)
dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (1/-32512)
dvb-usb: bulk message failed: -22 (5/0)
dvb-usb: bulk message failed: -22 (7/-32512)
dvb-usb: bulk message failed: -22 (5/-32512)
dvb-usb: bulk message failed: -22 (5/0)
dvb-usb: bulk message failed: -22 (5/0)
dvb-usb: bulk message failed: -22 (1/-32512)

In my /var/log/messages:

Oct 25 20:01:53 jks-desktop kernel: usb 1-1: USB disconnect, address 4
Oct 25 20:01:53 jks-desktop kernel: dvb-usb: bulk message failed: -22 (1/-32512)
Oct 25 20:01:53 jks-desktop kernel: dvb-usb: bulk message failed: -22 (5/2)
Oct 25 20:01:53 jks-desktop kernel: dvb-usb: bulk message failed: -22 (7/-32512)
Oct 25 20:01:53 jks-desktop kernel: dvb-usb: bulk message failed: -22 (5/-32512)
Oct 25 20:01:53 jks-desktop kernel: dvb-usb: bulk message failed: -22 (5/0)
Oct 25 20:01:53 jks-desktop kernel: dvb-usb: bulk message failed: -22 (5/0)
Oct 25 20:01:53 jks-desktop kernel: dvb-usb: bulk message failed: -22 (1/-32512)
Oct 25 20:01:54 jks-desktop last message repeated 4 times
Oct 25 20:01:54 jks-desktop kernel: dvb-usb: bulk message failed: -22 (5/0)
Oct 25 20:01:54 jks-desktop kernel: dvb-usb: bulk message failed: -22 (7/-32512)
Oct 25 20:01:54 jks-desktop kernel: dvb-usb: bulk message failed: -22 (5/-32512)
Oct 25 20:01:54 jks-desktop kernel: dvb-usb: bulk message failed: -22 (5/0)
Oct 25 20:01:54 jks-desktop kernel: dvb-usb: bulk message failed: -22 (5/0)
Oct 25 20:01:54 jks-desktop kernel: dvb-usb: bulk message failed: -22 (1/-1)
Oct 25 20:01:54 jks-desktop kernel: dvb-usb: bulk message failed: -22 (1/-32512)
Oct 25 20:01:54 jks-desktop last message repeated 3 times

The program started at 8pm, so it was only 1:34 in when this happened.
Comment 9 Joseph Shraibman 2006-11-13 01:33:46 EST
I notice that something similar happens when I shut down my system.  The light
on my usb hub goes out while the light on the dvico usb tuner stays on, and a
lot of errors from dvb-usb appear on my console.  However since this happens
after all filesystems are unmounted, I have no way of capturing the messages for
posting.

As for my last post I meant it was only 1:53 into the recording when the problem
happened.
Comment 10 Bug Zapper 2008-04-03 23:37:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Joseph Shraibman 2008-04-03 23:59:18 EDT
I had these issues on a crappy motherboard with a VIA chipset.  Since I replaced
that board I haven't had this problem, although I do get a kernel oops if I
unplug the antenna from the dvico while it is in use.

The original problem wasn't just that the usb system died, but that when it did
it brought down the ps/2 keyboard with it.  I can't reproduce this problem
anymore, but I hope someone takes the time to fix the kernel error handling.
Comment 12 Dave Jones 2008-04-04 12:57:49 EDT
Can you capture the oops and attach that here please ?
Comment 13 Bug Zapper 2008-05-06 20:47:39 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.